Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class DomainDataRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainDataRequest

Direct Known Subclasses:
  DomainChangeHolderRequest, DomainChangeProvRequest, DomainCreateRequest, DomainDeleteRequest, DomainUpdateRequest

    public abstract class DomainDataRequest

extends Request

base class for all domain request that require a DomainData instance for operation (create, update, chprov, chholder, delete)

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`protected DomainData` | `domain` the domain data instance

Constructor Summary
`DomainDataRequest()` constructor
`DomainDataRequest(DomainData theDomain)` constructor

Method Summary
`DomainData` | `getDomain()` return the domain
`protected abstract java.lang.String` | `getRequestElementName()` return the XML element name
`protected boolean` | `includeDnsData()` return whether DNS data shall be supplied or not.
`protected void` | `requestToKVList(KVList list)` method that needs to be implemented by subclasses for the key-value list conversion
`protected void` | `requestToXml(org.w3c.dom.Node node)` method that needs to be implemented by subclasses for the XML conversion
`void` | `setDomain(DomainData theDomain)` set the domain data
`java.lang.String` | `toString()` return a string representation for debugging purposes

Methods inherited from class de.knipp.rritoolkit.request.Request
`execute, getActionCode, getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### domain

    protected DomainData domain

  the domain data instance

Constructor Detail

### DomainDataRequest

    public DomainDataRequest()

  constructor

### DomainDataRequest

    public DomainDataRequest(DomainData theDomain)

  constructor

  Parameters:
    `theDomain` - the domain

Method Detail

### includeDnsData

    protected boolean includeDnsData()

  return whether DNS data shall be supplied or not. The default implementation returns `true`

  Returns:
    `true` if the data shall be supplied

### getRequestElementName

    protected abstract java.lang.String getRequestElementName()

  return the XML element name

  Returns:
    the element name

### requestToXml

    protected void requestToXml(org.w3c.dom.Node node)
                         throws org.w3c.dom.DOMException,
                                EncodeException

  method that needs to be implemented by subclasses for the XML conversion

  Specified by:
    `requestToXml` in class `Request`
  Parameters:
    `node` - the node where the request shall be added to
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails for some reason

### requestToKVList

    protected void requestToKVList(KVList list)
                            throws EncodeException

  method that needs to be implemented by subclasses for the key-value list conversion

  Specified by:
    `requestToKVList` in class `Request`
  Parameters:
    `list` - the list that has to be filled
  Throws:
    `EncodeException` - if the encoding fails for some reason

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `Request`
  Returns:
    the representation

### setDomain

    public void setDomain(DomainData theDomain)

  set the domain data

  Parameters:
    `theDomain` - the domain

### getDomain

    public DomainData getDomain()

  return the domain

  Returns:
    the domain or `null` if it hasn't been set yet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH